Subject: Re: bug#35864: ~/.local/bin is missing in default PATH on Guix System

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 24 May 2019 12:36:16 +0200

On Fri, May 24, 2019 at 08:17:10AM +0200, Ricardo Wurmus wrote:
> 
> pelzflorian (Florian Pelz) <[email-masked]> writes:
> 
> > Currently for a simple GTK application of mine, on other distros I run
> > it by
> >
> > dont-hang
> >
> > but on Guix I have to run it with:
> >
> > LD_LIBRARY_PATH=/gnu/store/b9p5rhhci7w1zgvv4j0fm2izk86cgnyd-gtk+-3.24.7/lib:/gnu/store/z7myqdqz5i4ahw57l5hagdkmzwz5g2wv-pango-1.42.4/lib:/gnu/store/5yaa39a8rvq8xdv8h37n29sxfmnlcv12-atk-2.32.0/lib:/gnu/store/4d8rc6vjkhsk1b20rigz0nzl7zffn4b5-cairo-1.16.0/lib:/gnu/store/h7wv1qgpascffzi5xlpagnc0hpiv2523-gdk-pixbuf+svg-2.38.1/lib:/gnu/store/0q9pq9flr76rh4bv2524niknknnl2kvq-glib-2.56.3/lib:$LD_LIBRARY_PATH PATH=$HOME/.local/bin:$PATH dont-hang
> >
> > Adding ~/.local/bin to the path would remove the small part on the
> > right.  Patching ninja could probably remove the need for
> > LD_LIBRARY_PATH.
> 
> Specifying the RUNPATH during compilation would allow you to get rid of
> LD_LIBRARY_PATH.  What build system are you using?
> 

Yes.  I am using Meson.  I would like instructions like mine
<https://pelzflorian.de/git/dont-hang/tree/README> to work because
they work on other distros.

Regards,
Florian